petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMSetUp

sets up the data structures inside a DM object

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMSetUp(DM dm)

Collective on DM

### Input Parameter

dm -the DM object to setup

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex30.cxx.html
src/ts/examples/tutorials/ex30.cxx.html